FUNCTION LIT(3)

NAME
boost::proto::lit - A helper function for creating a proto::literal<> wrapper.

SYNOPSIS

// In header: <boost/proto/literal.hpp>
template<typename T> proto::literal< T & > const lit(T & t);
template<typename T> proto::literal< T const & > const lit(T const & t);

DESCRIPTION

Parameters:

    t
        The object to wrap.

Returns:
    proto::literal<T &>(t)

Throws:
    Will not throw.

Notes:
    The returned value holds the argument by reference.